#include<iostream>
#include<vector>
#include<cmath>
using namespace std;
int main()
{
  int n,m;
  cin >> n >> m;
  vector<int>druz(n);
  vector<int>br_pr(n);
  int s=0;
  for (int i=1; i<=n; i++)
  {
    cin >> druz[i];
  }
  for (int i=1; i<=m; i++)
  {
    int a, b;
    cin >> a >> b;
    if (druz[a]<0 && druz[b]<0)
    {
      s-=druz[a];
      s-=druz[b];
    }
    if (druz[a]>=0 && druz[b]>=0)
    {
      s+=druz[a];
      s+=druz[b];
    }
    else if (abs(druz[a])-abs(druz[b])>=0 || abs(druz[b])-abs(druz[a])>=0)
    {
      s+=abs(druz[a])-abs(druz[b]);
    }
  }
  cout << s;
  return 0;
}